| QxOrm 1.4.3 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Static Protected Member Functions | Protected Attributes | Friends
qx::IxSingleton Class Reference
QxSingleton : QxOrm library thread-safe singleton pattern

qx::IxSingleton : common interface for all singleton of QxOrm library More...

`#include <IxSingleton.h>`

Inheritance diagram for qx::IxSingleton:

List of all members.

## Protected Member Functions
| IxSingleton (const QString &sKey)
virtual | ~IxSingleton ()
virtual void | deleteInstance ()=0
## Static Protected Member Functions
static void | initQxSingletonX ()
## Protected Attributes
QString | m_sKeySingleton
| Singleton key used by 'QxSingletonX' container.
## Friends
class | QxSingletonX

## Detailed Description

qx::IxSingleton : common interface for all singleton of QxOrm library

Definition at line 56 of file IxSingleton.h.

## Constructor & Destructor Documentation

qx::IxSingleton::IxSingleton | ( | const QString & | sKey | ) | `[protected]`

virtual qx::IxSingleton::~IxSingleton | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void qx::IxSingleton::deleteInstance | ( |  | ) | `[protected, pure virtual]`

Implemented in qx::QxSingleton< T >, qx::QxSingleton< QxSqlDatabase >, qx::QxSingleton< QxClassX >, qx::QxSingleton< QxClass< T > >, qx::QxSingleton< QxDataMemberX< T > >, qx::QxSingleton< QxSingletonX >, qx::QxSingleton< QxRepositoryX >, qx::QxSingleton< QxFactoryX >, qx::QxSingleton< QxConnect >, qx::QxSingleton< QxBoostSerializeRegisterHelperX >, and qx::QxSingleton< QxCache >.

static void qx::IxSingleton::initQxSingletonX | ( |  | ) | `[static, protected]`

## Friends And Related Function Documentation

friend class QxSingletonX`[friend]`

Definition at line 59 of file IxSingleton.h.

## Member Data Documentation

QString qx::IxSingleton::m_sKeySingleton`[protected]`

Singleton key used by 'QxSingletonX' container.

Definition at line 63 of file IxSingleton.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxSingleton/IxSingleton.h